export default class UserParty {
	public Id:number;
	public UserId:number;
	public PartyId:number;
	public IsActive:boolean;
	public CreatedByUserId:number;
	public CreatedDatetime:Date;
	public LastModifiedByUserId?:number;
	public LastModifiedDatetime?:Date;
	public DeletedByUserId?:number;
	public DeletedDatetime?:Date;
	public IsDeleted:boolean;

	public constructor(id?:number, userId?:number, partyId?:number, isActive?:boolean, createdByUserId?:number, createdDateTime?:Date, lastModifiedByUserId?:number, lastModifiedDatetime?:Date, deletedByUserId?:number, deletedDatetime?:Date, isDeleted?:boolean) {
		if (typeof(id) == "number" && typeof(userId) == "number" && typeof(partyId) == "number" && typeof(isActive) === "boolean" && typeof(createdByUserId) == "number" && createdDateTime instanceof Date && typeof(lastModifiedByUserId) == "number" && lastModifiedDatetime instanceof Date && typeof(deletedByUserId) == "number" && deletedDatetime instanceof Date && typeof(isDeleted) == "boolean") {
			this.Id = id;
			this.UserId = userId;
			this.PartyId = partyId;
			this.IsActive = isActive;
			this.CreatedByUserId = createdByUserId;
			this.CreatedDatetime = createdDateTime;
			this.LastModifiedByUserId = lastModifiedByUserId;
			this.LastModifiedDatetime = lastModifiedDatetime;
			this.DeletedByUserId = deletedByUserId;
			this.DeletedDatetime = deletedDatetime;
			this.IsDeleted = isDeleted;
		} else {
			this.Id = Number.MIN_VALUE;
			this.UserId = Number.MIN_VALUE;
			this.PartyId = Number.MIN_VALUE;
			this.IsActive = false;
			this.CreatedByUserId = Number.MIN_VALUE;
			this.CreatedDatetime = new Date(0);
			this.IsDeleted = false;
		}
	}
}